Subject: Re: [ipwave] PC5 at 5.9GHz - modules

From: Alexandre Petrescu <[email-masked]>
Date: Fri, 15 Oct 2021 14:52:28 +0200

At this point with all things I learned it seems to me that it is not 
possible to easily acquire 'C-V2X' modules even though there is a list 
of many such things available 
https://5gaa.org/wp-content/uploads/2020/11/5GAA_List-of-C-V2X-Devices.pdf

There are devices of class 'development kits'; there are many plans for 
developping devices, but there is no simple way to acquire one.

The easiness to acquire such a device should amount to buying an 
advanced WiFi module on Amazon: next day delivery for a price in the 
tens of euros for a module and immediate support in the linux kernel.

But there might be alternatives to that.

Maybe a 5G module made by Telit sold by Techship could be an alternative 
to 'C-V2X'.  I didnt try it but I could.

Assuming one acquires such a 5G module, the questions would be then 
whether linux supports it, whether IPv6-on-5G would amount to 'IPv6 on 
C-V2X' and not least whether sending CAMs on IPv6 on 5G amounts to 'IPv6 
on C-V2X'?  Or must they be absolutely BSMs to be qualified as 'C-V2X'?

What does it mean 'C-V2X' anyways...

Alex

Le 31/03/2021 à 18:47, Alexandre Petrescu a écrit :
> In private I am pointed to Wistron as well.  Wistron's web page looks 
> attractive and their reputation is high.
> 
> It is there 
> https://www.wnc.com.tw/index.php?action=pro_cate_third_close&top_id=106&scid=123&tid=145 
> 
> 
> But it is not a mass produced device.  It is way too expensive.  I 
> wouldnt put a 1000EUR device in a cheap car that costs itself 5000EUR. 
> It is not proportional.
> 
> I wait so it becomes cheaper.
> 
> Alex
> 
> 
> Le 31/03/2021 à 16:52, Alexandre Petrescu a écrit :
>> I am told in private about success reports on linux with:
>> - USRP B210 SDR Kit - Dual Channel Transceiver (70 MHz - 6GHz) - Ettus
>>    Research - ~1000Eur.
>> - CohdaWireless MK6 evaluation kits.
>>
>> For my part, I am looking for cheap miniPCIe cards for C-V2X at 5.9GHz 
>> for linux.
>>
>> Maybe these will come up a little bit later.
>>
>> Alex
>>
>>
>> Le 31/03/2021 à 15:17, Alexandre Petrescu a écrit :
>>> For information,
>>>
>>> Me and a colleague have looked independently at the pdf of devices for
>>> C-V2X.
>>>
>>> My goal is to identify the best possible C-V2X miniPCIe card that is
>>> supported in linux.
>>>
>>> By reputation, maybe the Unex is the most likely to offer one such card.
>>>   A few of us already worked with Unex cards in the past, but for 
>>> ITS-G5.
>>>   But Unex card for C-V2X at 5.9GHz is not yet available to acquire
>>> easily (like e.g. buying on Amazon or alibaba).
>>>
>>> I wait for easy availability because of the risk of what might happen 
>>> at customs.  The regulation of C-V2X spectrum in Europe and in the 
>>> country where I live is far from straightforward: it is not clear in 
>>> Europe whether or not C-V2X technology is allowed at 5.9GHz.  BEcause 
>>> of that uncertainty the customs prices can skyrocket easily (add up 
>>> to double to the original price).
>>>
>>> We wait.
>>>
>>> Alex
>>>
>>>
>>>
>>> Le 26/01/2021 à 17:41, Alexandre Petrescu a écrit :
>>>> I was provided in private the 5GAA's list of PC5 capable devices.  It
>>>> is a public document whose links clicked ok in OCtober 2020; the
>>>> document is at URL 
>>>> https://5gaa.org/wp-content/uploads/2020/11/5GAA_List-of-C-V2X-Devices.pdf 
>>>>
>>>>
>>>>  Some of the links no more work.
>>>>
>>>> The document is sorted by: chips, modules, OBUs, RSUs, etc.
>>>>
>>>> The chips are from: Autotalks, Huawei, Qualcomm.
>>>>
>>>> The modules are from: SimCOM, muRata, Quectel, WNC, LG Innotek, ZTE, 
>>>> Neoway, Unex, Datang, Alps Alpine.
>>>>
>>>> A promising chips to try might be the those who say 'linux' and 'Mode
>>>> 4' (a kind of LTE equivalent of 802.11 'ad-hoc' mode).  Because the 
>>>> software driver in linux would be freely available and the Mode 4
>>>> would be the mode not needing SIM card.
>>>>
>>>> I am not sure though whether or not there are currently linux
>>>> drivers available freely for 'Mode 4' implementations?
>>>>
>>>> Alex
>>>>
>>>> Le 24/01/2021 à 13:48, Alexandre Petrescu a écrit :
>>>>> Hi, IPWAVErs,
>>>>>
>>>>> Is there cheaply available hardware to make work PC5 at 5.9GHz?
>>>>> PC5 is a part of 5G specs that deal with direct communications
>>>>> between vehicles, presumably without SIM cards and without the
>>>>> involvement of a Mobile Network Operator (MNO).
>>>>>
>>>>> For my part, I think no, there is no PC5 hardware at 5.9GHz.
>>>>>
>>>>> It is very likely, I think, that PC5 hardware (modems, interfaces) 
>>>>> might use a very different PHY layer than what 802.11-OCB uses.
>>>>> That might be the 'New Radio' (NR) of 5G.  NR is incompatible with
>>>>> 802.11 PHY layer.
>>>>>
>>>>> There are no 5.9GHz bands, no spectrum, allocated neither in USA
>>>>> by FCC nor in Europe by the Commission, for 'C-V2X' or for 'PC5'
>>>>> even though there might have been a request for comments ('an
>>>>> 'NPRM') at FCC in USA in that sense.  That NPRM did not lead to
>>>>> allocating 5.9GHz spectrum for C-V2X.  It is one year now since
>>>>> that NPRM closed.
>>>>>
>>>>> Currently, all 5.9GHz bands are fully allocated to 'DSRC' (or,
>>>>> 802.11 if you wish, or 'ITS-G5').
>>>>>
>>>>> However, I was pointed by a vehicle manufacturer to a router 
>>>>> manufacturer (Comsignia, see https://www.commsignia.com/hardware/)
>>>>>  description that states that one feature is "DSRC and C-V2X (PC5)
>>>>>  communication interfaces".  The price of that OBU is not
>>>>> displayed, but I suspect it to be in the range of a couple thousand
>>>>> euros, which can still be affordable, even though not for a series
>>>>> car whose price might be highly affected.
>>>>>
>>>>> Also, I was pointed to a recent cheap hardware "AirPrime® EM9190
>>>>> 5G NR Sub-6 GHz and mmWave Module" which lists the following
>>>>> bands: "Sub-6: n1, n2, n3, n5, n7, n8, n12, n20, n25, n28, n38,
>>>>> n40, n41, n48, n66, n71, n77, n78, n79, mmWave: n257, n258, n260,
>>>>> n261".  In this list, there are not the bands 'n46' and 'n47',
>>>>> which are the bands for 5.9GHz.
>>>>>
>>>>> This brings me the question: is there cheap hardware for PC5 at 
>>>>> 5.9GHz?
>>>>>
>>>>> Alex
>>>>>
>>>>> _______________________________________________ its mailing list 
>>>>> [email-masked] https://www.ietf.org/mailman/listinfo/its
>>>>
>>>> _______________________________________________ its mailing list 
>>>> [email-masked] https://www.ietf.org/mailman/listinfo/its
>>>
>>> _______________________________________________
>>> its mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/its
>>
>> _______________________________________________
>> its mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/its
> 
> _______________________________________________
> its mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/its